Skip to main content
GET
/
v1
/
positions
/
{user_address}
Get Positions
curl --request GET \
  --url https://api.yieldo.xyz/v1/positions/{user_address}
import requests

url = "https://api.yieldo.xyz/v1/positions/{user_address}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.yieldo.xyz/v1/positions/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user_address": "<string>",
  "positions": [
    {
      "vault_id": "<string>",
      "vault_name": "<string>",
      "vault_address": "<string>",
      "chain_id": 123,
      "asset_symbol": "<string>",
      "asset_address": "<string>",
      "share_balance": "<string>",
      "share_decimals": 123,
      "vault_type": "<string>",
      "asset_decimals": 18,
      "current_assets": "<string>",
      "deposited_assets": "<string>",
      "yield_assets": "<string>",
      "value_usd": 123,
      "apy": 123,
      "source": "rpc"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

user_address
string
required

Query Parameters

chain_id
integer | null

Response

Successful Response

user_address
string
required
positions
Position · object[]
required